Puzzle / Developers
API referenceOnboarding

Initiate Prefilled Onboarding

POST /onboarding

POST/onboarding

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/onboarding" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "SAAS",    "timeZone": "string",    "currentUserRole": "Founder",    "orgType": "CCorporation"  }'
{  "url": "string"}

Schema refreshed 2026-11-11T18:57:48.657Z